{
  supportedSystems ? [ "x86_64-linux" ]
}:

with (import <nixpkgs/pkgs/top-level/release-lib.nix> { inherit supportedSystems; });

{

  # Simply assign a derivation to an attribute to have it built.
  hello_world_1 = pkgs_x86_64_linux.hello;

  # 'hydraJob' strips all non-essential attributes.
  hello_world_2 = pkgs.lib.hydraJob pkgs_x86_64_linux.hello;

  blog_gallery = import ./blog-gallery.nix;
  blog_r6d = import ./blog-r6d.nix;
  gogs_jpierre03_homepage = import ./gogs-jpierre03-homepage.nix;

} // mapTestOn {

  # Fancy shortcut to generate one attribute per supported platform.
  hello = supportedSystems;

}
